# $Revision: 1.25.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Spline
Summary:	Math::Spline - Cubic Spline Interpolation of data
Summary(pl):	Math::Spline - interpolacja danych splajnami kubicznymi
Name:		perl-Math-Spline
Version:	0.01
Release:	11
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-man.patch
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Math-Derivative
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides cubic spline interpolation of numeric data. The
data is passed as references to two arrays containing the x and y
ordinates. It may be used as an exporter of the numerical functions
or, more easily as a class module.

%description -l pl
Ten pakiet udostpnia interpolacj danych numerycznych przy pomocy
splajnw kubicznych. Dane s przekazywane jako referencje do dwch
tablic zawierajcych wsprzdne x i y. Modu moe by uywany do
eksportowania funkcji numerycznych albo, atwiej, jako klasa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Math/Spline.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-Spline.spec,v $
Revision 1.25.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.25.2.1  2003/03/13 00:58:08  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.25  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:36:50  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/08/16 18:54:40  qboosh
- pl description, release++

Revision 1.22  2002/08/11 19:36:48  radek
- release up

Revision 1.21  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.20  2002/08/11 13:53:40  radek
- conditional tests

Revision 1.19  2002/07/10 08:48:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:32:54  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:28:55  depesz
adapterized

Revision 1.13  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:12:53  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/19 01:47:52  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.8  2001/01/13 00:42:18  dobrek
-Req perl >=5.6; Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
